﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.Label1.Text = "当前系统时间：" + DateTime.Now.ToString();
    }
    protected void Page_Init(object sender, EventArgs e)
    {
        //动态加载用户控件，并返回PartialCachingControl的实例对象
        PartialCachingControl ucc = LoadControl("UC_ControlCachePolicy.ascx") as PartialCachingControl;
        //如果用户控件的缓存时间大于60秒，那么重新设置缓存时间为10秒
        if (ucc.CachePolicy.Duration > TimeSpan.FromSeconds(60))
        {
            //设置用户控件过期时间
            ucc.CachePolicy.SetExpires(DateTime.Now.Add(TimeSpan.FromSeconds(60)));
            //设置缓存绝对过期
            ucc.CachePolicy.SetSlidingExpiration(false);
        }
        this.loadControlCachePolicy.Controls.Add(ucc);  //将用户控件添加到ID为loadControlCachePolicy的div中
    }
}